# BMI Calculator

[![CirrusCI](https://img.shields.io/cirrus/github/halildurmus/bmi_calculator?style=for-the-badge)](https://cirrus-ci.com/halildurmus/bmi_calculator)
![GitHub top language](https://img.shields.io/github/languages/top/halildurmus/bmi_calculator?style=for-the-badge)
[![GitHub contributors](https://img.shields.io/github/contributors-anon/halildurmus/bmi_calculator?style=for-the-badge)](https://github.com/halildurmus/bmi_calculator/graphs/contributors)
[![GitHub issues](https://img.shields.io/github/issues/halildurmus/bmi_calculator?style=for-the-badge)](https://github.com/halildurmus/bmi_calculator/issues)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?style=for-the-badge)](https://github.com/halildurmus/bmi_calculator/blob/master/LICENSE)
[![LinkedIn](https://img.shields.io/badge/LinkedIn-blue?logo=linkedin&labelColor=blue&style=for-the-badge)](https://linkedin.com/in/halildurmus)
![Visits](https://badges.pufler.dev/visits/halildurmus/bmi_calculator?style=for-the-badge)

> **BMI Calculator** is a **Body Mass Index(BMI)** calculator app developed with **[Flutter](https://github.com/flutter/flutter)**.<br />
Currently, the BMI is calculated using **Metric** units. Support for **Imperial** units may be added in the future.<br />
The app supports **English** and **Turkish** languages.

## Table of Contents

* [Screenshots](#screenshots)
* [Getting Started](#getting-started)
  * [Prerequisites](#prerequisites)
  * [Installation](#installation)
* [Usage](#usage)
* [Roadmap](#roadmap)
* [Code Contributors](#code-contributors)
* [Contributing](#-contributing)
* [Author](#author)
* [License](#-license)
* [Acknowledgements](#acknowledgements)

## Screenshots

<p align="center">
  <img width="200" height="370" src="https://github.com/halildurmus/bmi_calculator/raw/master/screenshots/home.png">
  <img width="200" height="370" src="https://github.com/halildurmus/bmi_calculator/raw/master/screenshots/result.png">
  <img width="200" height="370" src="https://github.com/halildurmus/bmi_calculator/raw/master/screenshots/chart.png">
</p>

## Getting Started

To get a local copy up and running follow these simple steps.

### Prerequisites

You need to have **Flutter** installed on your pc.
* [Install Flutter](https://flutter.dev/docs/get-started/install)

### Installation

1. Clone the repo using: `git clone https://github.com/halildurmus/bmi_calculator.git`
2. To get the packages needed for the app, run:
```Dart
flutter pub get
```

## Usage

If you have a connected device or emulator running, you can run the app with:
```Dart
flutter run
```

## Roadmap

See the [open issues](https://github.com/halildurmus/bmi_calculator/issues) for a list of proposed features (and known issues).

## Code Contributors

This project exists thanks to all the people who contribute. [[Contribute](CONTRIBUTING.md)].


<a href="https://github.com/halildurmus/bmi_calculator/graphs/contributors">
  <img class="avatar" alt="halildurmus" src="https://github.com/halildurmus.png?v=4&s=96" width="48" height="48" />
</a>

## 🤝 Contributing

Contributions, issues and feature requests are welcome.<br />
Feel free to check [issues page](https://github.com/halildurmus/bmi_calculator/issues) if you want to contribute.<br />
[Check the contributing guide](./CONTRIBUTING.md).<br />

## Author

👤 **Halil İbrahim Durmuş**

- Github: [@halildurmus](https://github.com/halildurmus)

## 📝 License

This project is [MIT](https://github.com/halildurmus/bmi_calculator/blob/master/LICENSE) licensed.

## Acknowledgements
* [BMI Calculator - Daily UI challenge](https://dribbble.com/shots/2999904-BMI-Calculator-Daily-UI-challenge)
* [BMI Chart](https://www.wcrf-uk.org/uk/here-help/health-tools/bmi-calculator)
* [font_awesome_flutter](https://pub.dev/packages/font_awesome_flutter)
* [Img Shields](https://shields.io) 
* Our preview mockups were created with <a href="https://previewed.app/">Previewed</a>
